Bug 1446577 - (CVE-2017-8380) CVE-2017-8380 Qemu: scsi: megasas: out-of-bounds read in megasas_mmio_write
CVE-2017-8380 Qemu: scsi: megasas: out-of-bounds read in megasas_mmio_write
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170424,reported=2...
: Security
Depends On: 1446578
Blocks: 1440055
  Show dependency treegraph
 
Reported: 2017-04-28 07:31 EDT by Prasad J Pandit
Modified: 2018-07-18 11:20 EDT (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-04-28 07:31:30 EDT
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter
emulation support is vulnerable to an out-of-bounds read access issue. It
could occur while performing a MMIO write operation.

A privileged user inside guest could use this flaw to read host memory
leading to potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-04/msg04147.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/05/03/3
Comment 1 Prasad J Pandit 2017-04-28 07:32:04 EDT
Acknowledgments:

Name: YY Z(Researcher) Wjjzhang (Tencent.com Inc.)
Comment 2 Prasad J Pandit 2017-04-28 07:33:21 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1446578]
Comment 3 Fedora Update System 2017-07-25 17:26:03 EDT
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.